#include <stdio.h>
                         /* Eingabeabsicherung */
main()
{
  int m, k;  float x;

  do
  {  printf("\n Bitte eine ganze Zahl: ");
     k= scanf("%i", &m );   printf(" k = %i ", k);
     fflush(stdin);
  }while( k!=1);
  printf("\n m = %i\n\n", m );

  do
  {  printf("\n Bitte eine reelle Zahl: ");
     k= scanf("%f", &x );   printf(" k = %i ", k);
     fflush(stdin);
  }while( k!=1);
  printf("\n x = %f\n\n", x );
                    
    system("PAUSE");
}
